[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TDeflater.Create

Constructor for the class instance

## Declaration

Source position: zipper.pp line 334

`public constructor TDeflater.Create(`
`AInFile: TStream;`
`AOutFile: TStream;`
`ABufSize: LongWord`
`); override;`

## Arguments

`AInFile` |  | Stream with the input values compressed in the class instance
`AOutFile` |  | Stream with the output values after compression using the Deflate algorithm
`ABufSize` |  | Buffer size used to read and process values from the input stream

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry. Create sets the default value for the CompressionLevel property to clNone.

## See also

TDeflater.CompressionLevel |  | Indicates the compression level applied in the Compress method
TCompressor.Create |  | Creates a TCompressor object